RubyGems Navigation menu

rubocop 0.49.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.40.0 - December 08, 2022 (567 KB)
  2. 1.39.0 - November 14, 2022 (564 KB)
  3. 1.38.0 - November 01, 2022 (563 KB)
  4. 1.37.1 - October 24, 2022 (560 KB)
  5. 1.37.0 - October 20, 2022 (559 KB)
  6. 0.49.0 - May 24, 2017 (312 KB)
Show all versions (223 total)

Runtime Dependencies (6):

  • parallel ~> 1.10
  • parser < 3.0, >= 2.3.3.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    3af20292590127c5e5a67a08e84642bb9d1f555cb8ed16717980c8b524ed038f

    Total downloads 280,213,511

    For this version 332,267

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    New versions require MFA: true

    Links: